import ajax from '../../util/ajax'
import api from '../../util/api'

export default {
  namespaced: true,
  state: {
    roleList: [],
    roleInfo: {},
  },
  mutations: {
    updateList (state, payload) {
      state.roleList = payload || []
    },
    updateInfo (state, payload) {
      state.roleInfo = payload || []
    },
  },
  actions: {
    GetRolesList ({ commit }) {
      ajax(api.role.list.url, {
        method: api.role.list.method
      }).then(res => {
        commit('updateList', res)
      })
    },
    GetRoleByID ({ commit }, { roleid }) {
      ajax(api.role.info.url, {
        method: api.role.info.method,
        urlData: {
          id: roleid,
        }
      }).then(res => {
        commit('updateInfo', res)
      })
    },
    AddRole ({ commit }, payload) {
      ajax(api.role.add.url, {
        method: api.role.add.method,
        data: {
          ...payload
        }
      }).then(res => {
        commit('updateInfo', res)
      })
    },
    UpdateRole ({ commit }, payload) {
      ajax(api.role.update.url, {
        method: api.role.update.method,
        data: {
          ...payload
        }
      }).then(res => {
      })
    },
    DelRole ({ commit }, payload) {
      ajax(api.role.delete.url, {
        method: api.role.delete.method,
        data: {
          ...payload
        }
      }).then(res => {
      })
    }
  }
}
