const baseUrl = '/api'
const common = '/common'
const guest = '/guest'

const $api = {
  login: { // 登陆
    signin: {
      method: 'post',
      url: `${baseUrl}${guest}/signin`
    }
  },
  system: {
    init: { // 初始化菜单
      method: 'get',
      url: `${baseUrl}${common}/system/init`
    }
  },
  systemSet: {
    getUserList: { // 获取用户列表
      method: 'get',
      url: `${baseUrl}/common/user`
    },
    getUserInfo: { // 获取用户信息
      method: 'get',
      url: `${baseUrl}/common/user/:id`
    },
    addUser: { // 新增用户
      method: 'post',
      url: `${baseUrl}/common/user`
    },
    editUser: { // 更新用户
      method: 'put',
      url: `${baseUrl}/common/user`
    },
    deleteUser: { // 删除用户
      method: 'delete',
      url: `${baseUrl}/common/user/:id`
    },
    bindRoles: { // 绑定角色
      method: 'put',
      url: `${baseUrl}/common/userrole`
    },
    getUserRoles: { // 获取用户绑定角色
      method: 'get',
      url: `${baseUrl}/common/userrole`
    },
  },
  channelManager: {
    getChannelList: { // 渠道列表
      method: 'get',
      url: `${baseUrl}${common}/`
    },
  },
  caseManager: {
    getRolesList: { // 获取角色列表
      method: 'get',
      url: `${baseUrl}/common/role`
    },
    getCaseList: { // 获取案场列表
      method: 'get',
      url: `${baseUrl}${common}/case/info`
    },
    addCase: { // 新增案场
      method: 'post',
      url: `${baseUrl}${common}/case/info`
    },
    getCaseInfo: { // 查询案场
      method: 'get',
      url: `${baseUrl}${common}/case/info/:id`
    },
    editCase: { // 编辑案场
      method: 'put',
      url: `${baseUrl}${common}/case/info/:id`
    },
    getKeyList: { // 获取钥匙列表
      method: 'get',
      url: `${baseUrl}${common}/case/key`
    },
    addKey: { // 新增钥匙
      method: 'post',
      url: `${baseUrl}${common}/case/key`
    },
    cancelKey: { // 取消钥匙
      method: 'put',
      url: `${baseUrl}${common}/case/unlock/:id`
    },
    getCaseAreaList: { // 获取案场区域列表
      method: 'get',
      url: `${baseUrl}${common}/case/area`
    },
    addCaseArea: { // 新增案场区域
      method: 'post',
      url: `${baseUrl}${common}/case/area`
    },
    deleteCaseArea: { // 删除案场区域
      method: 'delete',
      url: `${baseUrl}${common}/case/area/:id`
    },
    getCaseAreaInfo: { // 获取案场区域信息
      method: 'get',
      url: `${baseUrl}${common}/case/area/:id`
    },
    editCaseArea: { // 更新案场区域信息
      method: 'put',
      url: `${baseUrl}${common}/case/area`
    },
    getCaseTableList: { // 获取案场桌位列表
      method: 'get',
      url: `${baseUrl}${common}/case/table`
    },
    addCaseTable: { // 新增案场桌位
      method: 'post',
      url: `${baseUrl}${common}/case/table`
    },
    getCaseTableInfo: { // 查询案场桌位信息
      method: 'get',
      url: `${baseUrl}${common}/case/table/:id`
    },
    editCaseTable: { // 更新案场桌位信息
      method: 'put',
      url: `${baseUrl}${common}/case/table`
    },
    deleteCaseTable: { // 删除案场桌位信息
      method: 'delete',
      url: `${baseUrl}${common}/case/table/:id`
    },
    getCaseTagList: { // 获取案场标签列表
      method: 'get',
      url: `${baseUrl}${common}/case/tag`
    },
    addCaseTag: { // 新增案场标签
      method: 'post',
      url: `${baseUrl}${common}/case/tag`
    },
    getTagInfo: { // 获取案场标签信息
      method: 'get',
      url: `${baseUrl}${common}/case/tag/:id`
    },
    deleteCaseTag: { // 删除案场标签
      method: 'delete',
      url: `${baseUrl}${common}/case/tag/:id`
    },
    getUserTypeList: { // 获取用户类型列表
      method: 'get',
      url: `${baseUrl}/common/usertype`
    },
  },
  goodsManager: {
    getGoodsSpecList: { // 商品规格列表
      method: 'get',
      url: `${baseUrl}${common}/spec/goods`
    },
    addGoodsSpec: { // 新增商品规格
      method: 'post',
      url: `${baseUrl}${common}/spec/goods`
    },
    getGoodsSpecById: { // 根据id获取商品规格
      method: 'get',
      url: `${baseUrl}${common}/spec/goods/:id`
    },
    editGoodsSpec: { // 编辑商品规格
      method: 'put',
      url: `${baseUrl}${common}/spec/goods/:id`
    },
    deleteGoodsSpec: { // 删除商品规格
      method: 'delete',
      url: `${baseUrl}${common}/spec/goods/:id`
    },
    getGoodsTypeList: { // 商品种类列表
      method: 'get',
      url: `${baseUrl}${common}/type/goods`
    },
    addGoodsType: { // 新增商品种类
      method: 'post',
      url: `${baseUrl}${common}/type/goods`
    },
    getGoodsTypeById: { // 根据id获取商品种类
      method: 'get',
      url: `${baseUrl}${common}/type/goods/:id`
    },
    editGoodsType: { // 编辑商品种类
      method: 'put',
      url: `${baseUrl}${common}/type/goods/:id`
    },
    deleteGoodsType: { // 删除商品种类
      method: 'delete',
      url: `${baseUrl}${common}/type/goods/:id`
    },
  },
  cms: {
    location: { // 图片位置
      method: 'get',
      url: `${baseUrl}${common}/cms/location`
    },
    imageList: { // 轮播图列表
      method: 'get',
      url: `${baseUrl}${common}/cms/image`
    },
    imageDetail: { // 轮播图详情
      method: 'get',
      url: `${baseUrl}${common}/cms/image/:id`
    },
    addImage: { // 添加轮播图
      method: 'post',
      url: `${baseUrl}${common}/cms/image`
    },
    editImage: { // 编辑轮播图
      method: 'put',
      url: `${baseUrl}${common}/cms/image/:id`
    },
    deleteDetail: { // 删除轮播图
      method: 'delete',
      url: `${baseUrl}${common}/cms/image/:id`
    },
    case: { // 首页案场列表
      method: 'get',
      url: `${baseUrl}${common}/cms/case`
    },
    caseDetail: { // 首页案场详情
      method: 'get',
      url: `${baseUrl}${common}/cms/case/:id`
    },
    addCase: { // 添加首页案场
      method: 'post',
      url: `${baseUrl}${common}/cms/case`
    },
    editCase: { // 添加首页案场
      method: 'put',
      url: `${baseUrl}${common}/cms/case/:id`
    },
    deleteCase: { // 添加首页案场
      method: 'delete',
      url: `${baseUrl}${common}/cms/case/:id`
    },
    info: { // 首页消息列表
      method: 'get',
      url: `${baseUrl}${common}/cms/info`
    },
    infoDetail: { // 首页消息详情
      method: 'get',
      url: `${baseUrl}${common}/cms/info/:id`
    },
    addInfo: { // 新增首页消息
      method: 'post',
      url: `${baseUrl}${common}/cms/info`
    },
    editInfo: { // 编辑首页消息
      method: 'put',
      url: `${baseUrl}${common}/cms/info/:id`
    },
    deleteInfo: { // 删除首页消息
      method: 'delete',
      url: `${baseUrl}${common}/cms/info/:id`
    },
    news: { // 咨询列表
      method: 'get',
      url: `${baseUrl}${common}/cms/news`
    },
    newsDetail: { // 咨询详情
      method: 'get',
      url: `${baseUrl}${common}/cms/news/:id`
    },
    addNews: { // 新增咨询
      method: 'post',
      url: `${baseUrl}${common}/cms/news`
    },
    editNews: { // 编辑咨询
      method: 'put',
      url: `${baseUrl}${common}/cms/news/:id`
    },
    deleteNews: { // 删除咨询
      method: 'delete',
      url: `${baseUrl}${common}/cms/news/:id`
    }
  },
  file: {
    image: { // 图片上传
      method: 'post',
      url: `${baseUrl}${common}/file`
    }
  },
  role: {
    list: {
      method: 'get',
      url: `${baseUrl}${common}/role`
    },
    info: {
      method: 'get',
      url: `${baseUrl}${common}/role/:id`
    },
    add: {
      method: 'post',
      url: `${baseUrl}${common}/role`
    },
    update: {
      method: 'put',
      url: `${baseUrl}${common}/role`
    },
    delete: {
      method: 'delete',
      url: `${baseUrl}${common}/role/:id`
    },
  },
}
export default $api
